# std::basic_osyncstream<CharT,Traits,Allocator>::~basic_osyncstream

From cppreference.com
< cpp‎ | io‎ | basic osyncstream

~basic_osyncstream(); |  |

Destroys a synchronized output stream

First, calls `emit()`. If an exception is thrown by the call to emit(), it is caught and ignored. Then, destroys the member std::basic_syncbuf and the base std::basic_ostream as usual.

### Parameters

(none)

### Example

| This section is incomplete Reason: no example

### See also

(destructor) | destroys the basic_syncbuf and emits its internal buffer (public member function of `std::basic_syncbuf<CharT,Traits,Allocator>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_osyncstream/%7Ebasic_osyncstream&oldid=105201"